Skip to main content
PUT
Update Portfolio Item Monitoring Policy

Authorizations

X-API-Key
string
header
required

Path Parameters

item_id
string<uuid>
required

Body

Request model for creating or updating a monitoring policy.

cadence
enum<string>
required

The monitoring cadence (daily, weekly, monthly, yearly).

Available options:
daily,
weekly,
biweekly,
monthly,
quarterly,
biannually,
annually
Examples:

"daily"

"weekly"

"monthly"

"yearly"

enabled
boolean
default:true

Whether the monitoring policy should be enabled.

attributes
enum<string>[]

List of attributes to monitor (liens, litigations, bankruptcies, etc.).

The attributes that can be monitored.

Available options:
sos,
liens,
litigations,
bankruptcies,
website_analysis,
pep,
ofac,
identity_network
Examples:
lien_monitoring_scope
enum<string>
default:domestic

The scope of lien monitoring (domestic or registered).

Available options:
domestic,
registered
Examples:

"domestic"

"registered"

Response

Response

Represents a monitoring policy response.

This representation is designed for use in the singleton resource API representations. Note that id, group_id, and item_id are not included in this representation. This is to avoid confusion when API resource inheritance is in effect.

cadence
enum<string>
required

The monitoring cadence (e.g., 'daily', 'weekly', 'monthly').

Available options:
daily,
weekly,
biweekly,
monthly,
quarterly,
biannually,
annually
lien_monitoring_scope
enum<string>
required

The scope of lien monitoring.

Available options:
domestic,
registered
enabled
boolean
required

Whether the monitoring policy is enabled.

attributes
enum<string>[]

The attributes to monitor.

The attributes that can be monitored.

Available options:
sos,
liens,
litigations,
bankruptcies,
website_analysis,
pep,
ofac,
identity_network
last_run_at
string<date-time> | null

When the notification policy was last executed.

next_run_on
string<date> | null

When the notification policy is scheduled to run next.

inherited_from
enum<string> | null

Indicates where this policy was inherited from (e.g., 'portfolio', 'group', or None for direct).

Available options:
portfolio,
group